---
title: Screen.availLeft
slug: Web/API/Screen/availLeft
tags:
  - API
  - 'API:Mozilla Extensions'
  - 'API:WebKit Extensions'
  - DOM
  - Non-standard
  - Property
---
<div>{{APIRef("CSSOM")}}{{Non-standard_Header}}</div>

<p>Returns the first available pixel available from the left side of the screen.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>availLeft</var> = <var>window</var>.screen.availLeft;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">let setX = window.screen.width - window.screen.availLeft;
let setY = window.screen.height - window.screen.availTop;
window.moveTo(setX, setY);
</pre>

<h2 id="Notes">Notes</h2>

<p>In most cases, this property returns 0.</p>

<p>If you work with two screens this property, evaluated on the right screen, returns the width of the left one in pixels (thereby indicating the X coordinate of the left edge of the screen on the right).</p>

<p>On Windows, this property depends on which screen is set as your primary, returning the X coordinate of the leftmost available pixel relative to the primary screen. That is, the primary screen's left edge always has the X coordinate 0, even if it's not the leftmost screen. If the secondary screen is to the left of the primary screen, it has a negative X coordinate to compensate:</p>

<p>[1] [2] - on left screen <em>availLeft</em> returns <strong>0</strong>, on the right screen it returns the <strong>width</strong> of the left one</p>

<p>[2] [1] - on left screen <em>availLeft</em> returns <strong>-width</strong> of that screen, on the right screen, it returns <strong>0</strong></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.availLeft")}}</p>
